# generated by cabal-rpm-2.0.6 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name pandoc-citeproc
%global pkgver %{pkg_name}-%{version}

%global HsYAMLaeson HsYAML-aeson-0.2.0.0
%global subpkgs %{HsYAMLaeson}

# currently assumes datafile in system datadir
%bcond_with tests

Name:           %{pkg_name}
Version:        0.17.0.1
# can only be reset when all subpkgs bumped
Release:        3%{?dist}
Summary:        Supports using pandoc with citeproc

# locales files are CC-by-SA
License:        BSD and CC-BY-SA
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{HsYAMLaeson}/%{HsYAMLaeson}.tar.gz
Source2:        https://hackage.haskell.org/package/%{pkgver}/%{name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-HsYAML-prof
#BuildRequires:  ghc-HsYAML-aeson-prof
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-aeson-pretty-prof
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-hs-bibutils-prof
BuildRequires:  ghc-libyaml-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-network-prof
BuildRequires:  ghc-old-locale-prof
BuildRequires:  ghc-pandoc-prof
BuildRequires:  ghc-pandoc-types-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-rfc5051-prof
BuildRequires:  ghc-safe-prof
BuildRequires:  ghc-setenv-prof
BuildRequires:  ghc-split-prof
BuildRequires:  ghc-syb-prof
BuildRequires:  ghc-tagsoup-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-unordered-containers-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-xml-conduit-prof
BuildRequires:  ghc-yaml-prof
%if %{with tests}
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-temporary-devel
%endif
Requires:       %{name}-common = %{version}-%{release}
# for missing dep 'HsYAML-aeson':
BuildRequires:  ghc-scientific-prof
# End cabal-rpm deps

%description
The pandoc-citeproc library supports automatic generation of citations and a
bibliography in pandoc documents using the Citation Style Language (CSL) macro
language. More details on CSL can be found at <http://citationstyles.org/>.

In addition to a library, the package includes an executable, pandoc-citeproc,
which works as a pandoc filter and also has a mode for converting bibliographic
databases into CSL JSON and pandoc YAML metadata formats.

pandoc-citeproc originated as a fork of Andrea Rossato's citeproc-hs.


%package common
Summary:        Pandoc Citeproc data files
BuildArch:      noarch

%description common
This package provides the %{name} common data files.


%package -n ghc-%{name}
Summary:        Haskell %{name} library
Requires:       %{name}-common = %{version}-%{release}

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation
BuildArch:      noarch

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (ghc-%{name}-devel and ghc-prof)

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{HsYAMLaeson}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -a1
cp -bp %{SOURCE2} %{name}.cabal
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{pkgver}

rm %{buildroot}%{_datadir}/%{pkgver}/{README.md,changelog}
mv %{buildroot}%{_ghcdocdir}{,-common}
# End cabal-rpm install


%check
%cabal_test


%files
# Begin cabal-rpm files:
%{_bindir}/%{name}
# End cabal-rpm files
%{_mandir}/man1/%{name}.1*


%files common
# Begin cabal-rpm files:
%license LICENSE
%doc README.md changelog
%{_datadir}/%{pkgver}
# End cabal-rpm files


%files -n ghc-%{name} -f ghc-%{name}.files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Sat Sep 19 21:32:38 +08 2020 Jens Petersen <petersen@redhat.com> - 0.17.0.1-3
- update to 0.17.0.1

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Jens Petersen <petersen@redhat.com> - 0.17-1
- update to 0.17
- subpackage HsYAML-aeson

* Fri Feb 14 2020 Jens Petersen <petersen@redhat.com> - 0.16.2-1
- update to 0.16.2

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Jens Petersen <petersen@redhat.com> - 0.15.0.1-1
- update to 0.15.0.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 0.14.8.1-1
- update to 0.14.8.1

* Sat Feb 16 2019 Jens Petersen <petersen@redhat.com> - 0.14.3.1-3
- rebuild for static executable
- add common subpackage

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 30 2018 Jens Petersen <petersen@redhat.com> - 0.14.3.1-1
- update to 0.14.3.1
- add CC-BY-SA license tag for locales template files

* Mon Jul 23 2018 Miro Hrončok <mhroncok@redhat.com> - 0.12.2.5-5
- Rebuilt for #1607054

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 06 2018 Adam Williamson <awilliam@redhat.com> - 0.12.2.5-3
- Rebuild for ghc-conduit-extra bump

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.12.2.5-1
- update to 0.12.2.5

* Mon Dec 11 2017 Jens Petersen <petersen@redhat.com> - 0.10.5.1-3
- rebuild

* Tue Dec  5 2017 Jens Petersen <petersen@redhat.com> - 0.10.5.1-2
- refresh to cabal-rpm-0.12

* Thu Sep 14 2017 Jens Petersen <petersen@redhat.com> - 0.10.5.1-1
- update to 0.10.5.1

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 0.10.4.1-1
- update to 0.10.4.1

* Wed Feb 15 2017 Jens Petersen <petersen@redhat.com> - 0.10.1.1-4
- rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 07 2017 Adam Williamson <awilliam@redhat.com> - 0.10.1.1-2
- Rebuild for updated ghc/ghc-yaml/pandoc

* Wed Oct  5 2016 Jens Petersen <petersen@redhat.com> - 0.10.1.1-1
- update to 0.10.1.1

* Thu Sep  1 2016 Jens Petersen <petersen@redhat.com> - 0.10-3
- no longer need to remove license from docdir

* Wed Jul 27 2016 Jens Petersen <petersen@redhat.com> - 0.10-2
- rebuild

* Mon Jun 27 2016 Jens Petersen <petersen@redhat.com> - 0.10-1
- update to 0.10

* Sun May 01 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-3
- Rebuild for cmark 0.25

* Tue Apr 26 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-2
- Rebuild for ghc(tagsoup)

* Sat Mar 05 2016 Jens Petersen <petersen@redhat.com> - 0.9-1
- update to 0.9

* Thu Mar 03 2016 Adam Williamson <awilliam@redhat.com> - 0.7.4-3
- rebuild against updated tagsoup and rebuilt pandoc

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Jens Petersen <petersen@redhat.com> - 0.7.4-1
- update to 0.7.4
  https://github.com/jgm/pandoc-citeproc/releases?after=0.7.2
- xml-conduit replaces xml

* Fri Sep 18 2015 Jens Petersen <petersen@redhat.com> - 0.5-4
- use license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Jens Petersen <petersen@fedoraproject.org> - 0.5-2
- rebuild

* Mon Jan 26 2015 Jens Petersen <petersen@redhat.com> - 0.5-1
- update to 0.5

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri May  9 2014 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- update to 0.3.1
- build with -O1 to avoid exhausting memory in koji

* Thu May  1 2014 Jens Petersen <petersen@redhat.com> - 0.3.0.1-1
- use xml instead of hexpat

* Wed Jan 22 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.0.1
- spec file generated by cabal-rpm-0.8.8
